﻿using System;
using System.Linq;
using Telerik.XamarinForms.Common.DataAnnotations;

namespace Sample
{
    internal class DecimalToDoubleConverter : IPropertyConverter
    {
        public Type TargetType
        {
            get
            {
                return typeof(double);
            }
        }

        public object Convert(object value)
        {
            return System.Convert.ToDouble((decimal)value);
        }

        public object ConvertBack(object value)
        {
            return System.Convert.ToDecimal((double)value);
        }
    }
}